<?php

// START VIDEO SECTION 
$wp_customize->add_section(
    'lz_fitness_video_section',
    array(
        'title'=> __('Video', 'lz-fitness-premium'),
        'panel'=> 'lz_fitness_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'lz_fitness_video_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_video_section_disable',
        array(
            'settings'=>'lz_fitness_video_section_disable',
            'section'=>'lz_fitness_video_section',
            'label'=>__('Disable Section', 'lz-fitness-premium'),
            'on_off_label'=> array(
                'on'=> __('Yes', 'lz-fitness-premium'),
                'off'=> __('No', 'lz-fitness-premium')
            )
        )
    )
);

backgroundManager($wp_customize, 'video', 'lz_fitness_video_section', $color='#fff', get_template_directory_uri().'/images/video-bg.jpg', 'color');

$wp_customize->add_setting(
   'lz_fitness_video_section_into', 
   array(
      'sanitize_callback'=>'lz_fitness_sanitize_text'
  )
);
$wp_customize->add_control(
   new lz_fitness_Customize_Heading(
      $wp_customize, 
      'lz_fitness_video_section_into', 
      array(
         'settings'=>'lz_fitness_video_section_into', 
         'section'=>'lz_fitness_video_section', 
         'label'=>__('Section Title & Sub Title', 'lz-fitness-premium')
     )
  )
);

//video title
lzAddElement($wp_customize, 'lz_fitness_video_title', 'lz_fitness_video_section', 'text', $label = "Title", 'lz_fitness_sanitize_text', 'Watch <span>Video</span> Of Our <span>Lessons</span> ');
//video title
lzAddElement($wp_customize, 'lz_fitness_videoSubTitle', 'lz_fitness_video_section', 'textarea', $label = "Sub Title", 'lz_fitness_sanitize_text', 'There are many variations passes Lorem Ipsum available');

// Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_video_HeadingColor', 'lz_fitness_video_section', 'Heading color', '#ffffff');
    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_videoSubTitleColor', 'lz_fitness_video_section', 'Sub Heading color', '#ffffff');
    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_video_SpanHeadingColor', 'lz_fitness_video_section', 'Span Text color', '#ffffff');

    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_video_spanBackgroundColor', 'lz_fitness_video_section', 'Heading Background color', '#69489d');
    // outline color 
    addColorPalatOption($wp_customize, 'lz_fitness_video_spanoulineHeadingColor', 'lz_fitness_video_section', 'Outline Color', '#69489d');



// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_video_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
  new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_video_iframe_lbl',
    array(
      'settings'      => 'lz_fitness_video_iframe_lbl',
      'section'       => 'lz_fitness_video_section',
      'label'         => __( 'Video Embeded code', 'lz-fitness-premium' ),
    )
  )
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_video_section_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_video_section_embade', array('settings'=>'lz_fitness_video_section_embade', 'section'=>'lz_fitness_video_section','type'=>'textarea', 'label'=> __('Code for video', 'lz-fitness-premium')));